%define LNG fr
%define __version 3.70
%define rel %mkrel 4
Summary:	French man (manual) pages from the Linux Documentation Project
Name:		man-pages-fr
Version:	%{__version}
Release:	%rel
License:	GPL
Group:	System/Internationalization
URL: 	https://alioth.debian.org/projects/perkamon/
Source:	https://alioth.debian.org/frs/download.php/file/4119/%{name}-%{version}-1.tar.xz
Source2: man-pages-fr-goodies.tar.bz2
Source3: http://www.delafond.org/traducmanfr/mansupfr.tar.bz2
Source4: http://www.delafond.org/traducmanfr/archivemansupfr.tar.bz2
Source10: http://www.enstimac.fr/Perl/perl-all-fr-man.tar.bz2
Source11: man-pages-fr-1.58-extras.tar.bz2
Source12: man-pages-extras-fr-0.7.9.tar.bz2
Source13: http://manpagesfr.free.fr/download/man-pages-sup-fr-20080606.tar.bz2
Source20: books-fr.xpm
Patch0: no-F-option-for-shutdown.patch
BuildRequires: man
Requires: locales-fr, man
Autoreqprov: false
BuildArchitectures: noarch
Obsoletes: man-fr, manpages-fr
Provides: man-fr, manpages-fr

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to French.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, %{_sysconfdir}passwd,
                nfs)
        Section 5:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel routines

%prep
%setup -q -n fr -a3 -a4 -a10 -a11 -a12 -a13
%autopatch -p1

%build
rm -f man2/core.21??
for dis in {archive_des_mans,pagesdeman}/{debian,mandriva}; do
	rmdir $dis/* || :
	for sec in 1 2 3 4 5 7 8 9; do
		[[ -d $dis/man$sec/ ]] && mv $dis/man$sec/* pagesdeman/%{_mandir}/%LNG/man$sec/
	done
done

for i in man{1,2,3,4,5,6,7,8,9}; do mv pagesdeman%{_mandir}/%LNG/$i/* $i||true;done
for i in man{1,3,5,8}; do mv archive_des_mans/$i/* $i||true;done 
# perl man pages:
mv DocFr/* man1

%install
ln -sf iso_8859-1.7 man7/latin1.7; ln -sf iso_8859-1.7 man7iso_8859_7.7
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/%LNG/man{1,2,3,4,5,6,7}

# install X man pages :
for i in man{1,3,4,5,6}; do cp -a pagesdeman/usr/X11R6/man/%LNG/$i/*  %{buildroot}/%{_mandir}/%LNG/$i;done

mkdir -p %{buildroot}/var/catman/%LNG/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8 9 ; do
	cp -adprf man$i %{buildroot}/%{_mandir}/%LNG/||:
done

#
# remove doble files
#
rm %{buildroot}/%{_mandir}/%LNG/man1/xawtv.1*
# this one is provided by alsaconf:
rm -f %{buildroot}/%{_mandir}/%LNG/man8/alsaconf.8
# these come from initscripts
rm %{buildroot}/%{_mandir}/%LNG/{man8/usernetctl.8*,man1/{consoletype,doexec,netreport,usleep}.1*}
# these come from wireless:
rm %{buildroot}/%{_mandir}/%LNG/{man5/iftab.5,man7/wireless.7,man8/{iwgetid,ifrename}.8}*
# these are provided by cups now
rm %{buildroot}/%{_mandir}/%LNG/man*/{cancel,cups,{backend,filter}.1,lp,classes,disable,mime.{conv,type}s,printers.conf,{accept,enable,reject}.8}*
# these are provided by dpkg
rm %{buildroot}/%{_mandir}/%LNG/man{1/{dpkg-deb,dpkg-name,dpkg-source},5/deb{,-control},8/{cleanup-info,dpkg{,-{divert,query,scanpackages,scansources,split,statoverride}},install-info,start-stop-daemon,update-alternatives}}.*
# these come from rpm:
rm %{buildroot}/%{_mandir}/%LNG/man8/rpm.8*

# this lary wall perl script man page, not util linux rename tool one:
mv %{buildroot}/%{_mandir}/%LNG/man1/rename{,.pl}.1
# these are provided by net-tools
rm -f %{buildroot}/%{_mandir}/%LNG/man{1/{dnsdomainname,domainname,hostname,nisdomainname,ypdomainname}.1,5/ethers.5,8/{arp,ifconfig,netstat,plipconfig,rarp,route,slattach}.8}
# this one is provided by wireless-tools
rm -f %{buildroot}/%{_mandir}/%LNG/man8/iw{config,event,list,priv,spy}.8
# these are provided by vim7:
rm -f %{buildroot}/%{_mandir}/%LNG/man1/{evim.,ex.,{,r}{view,vim}.,vimdiff,vimtutor}*
# this one is provided by linkchecker:
rm -f %{buildroot}/%{_mandir}/%LNG/man1/linkchecker.1
# these are provided by nano:
rm -f %{buildroot}/%{_mandir}/%LNG/man1/nano.1*
rm -f %{buildroot}/%{_mandir}/%LNG/man1/rnano.1*
rm -f %{buildroot}/%{_mandir}/%LNG/man5/nanorc*
# these are provided by fcron:
rm -f %{buildroot}/%{_mandir}/%LNG/man*/fcron*

# upstream packagers are ... different
rm -f %{buildroot}%{_mandir}/%LNG/man1/.swp

# there is already a tzselect man page at man8/tzselect.8
rm -f %{buildroot}%{_mandir}/%LNG/man1/tzselect.1

tar jxf %SOURCE2 -C %{buildroot}/usr/share

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LNG, if there isn't any man page
   ## directory /%{_mandir}/%LNG
   if [ ! -d %{_mandir}/%LNG ] ; then
       rm -rf /var/catman/%LNG
   fi
fi

%files
%defattr(0644,root,man,755)
%doc README.fr
%attr(0755,root,root) %dir %{_mandir}/%LNG
%attr(0755,root,root) %dir %{_mandir}/%LNG/man*
%{_mandir}/%LNG/man*/*
%attr(755,root,man) /var/catman/%LNG


%changelog
* Mon Jan 16 2017 tv <tv> 3.70-4.mga6
+ Revision: 1082094
- there's no -F option for shutdown (mga#12259)

* Sat Feb 20 2016 umeabot <umeabot> 3.70-3.mga6
+ Revision: 972492
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 tv <tv> 3.70-2.mga6
+ Revision: 900255
- drop support for makewhatis now that we use mandb

* Thu Sep 10 2015 zezinho <zezinho> 3.70-1.mga6
+ Revision: 875769
- new version

* Wed Oct 15 2014 umeabot <umeabot> 3.66-3.mga5
+ Revision: 749457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.66-2.mga5
+ Revision: 682149
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 tv <tv> 3.66-1.mga5
+ Revision: 671795
- adjust file list
- new release

* Sat Oct 19 2013 umeabot <umeabot> 3.03.0-10.mga4
+ Revision: 522702
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 luigiwalser <luigiwalser> 3.03.0-9.mga3
+ Revision: 405261
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 3.03.0-8.mga3
+ Revision: 359374
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 3.03.0-7.mga1
+ Revision: 5890
- drop old conflicts
- require just 'man'
- s/mandrake/mandriva/ (dir name changed in one of the source tarballs)
- imported package man-pages-fr

